2.64 in OS X 10.5

I am running OS X 10.5.8 on an older Mac Pro. Blender 2.64 runs on 10.6 and up. Is there a build which will run on 10.5?

Thanks!

Moved from “General Forums > Blender and CG Discussions” to “Support > Technical Support”